Subject: Re: [PATCH] Implement pci_set_dma_mask() in terms of the dma_ops

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 18 Dec 2007 11:40:22 +1100

On Mon, 2007-12-17 at 11:02 +0100, Christoph Hellwig wrote:
> On Mon, Dec 17, 2007 at 05:35:53PM +1100, Michael Ellerman wrote:
> > To save adding a hook to the dma mapping ops, pci-set_consistent_dma_mask()
> > simply calls the dma_set_mask() hook and then copies the new mask into
> > dev.coherenet_dma_mask.
> 
> How is this supposed to work?  There are various devices around that
> want different mask for coherent vs streaming dma mappings, and we need
> to tell the iommu that we're setting it for either the former or the
> latter.

I don't think we ever supported that difference. Too broken HW for us.

We don't use coherent_dma_mask for anything at the moment on powerpc.

Ben.